Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

NullConverter.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Persistence\Legacy\Content\FieldValue\Converter;
8
9 use eZ\Publish\Core\Persistence\Legacy\Content\FieldValue\Converter;
10 use eZ\Publish\Core\Persistence\Legacy\Content\StorageFieldValue;
11 use eZ\Publish\SPI\Persistence\Content\FieldValue;
12 use eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition;
13 use eZ\Publish\Core\Persistence\Legacy\Content\StorageFieldDefinition;
14
18 class NullConverter implements Converter
19 {
29 public static function create()
30 {
31 return new self();
32 }
33
40 public function toStorageValue(FieldValue $value, StorageFieldValue $storageFieldValue)
41 {
42 // There is no contained data. All data is external. So we just do
43 // nothing here.
44 }
45
52 public function toFieldValue(StorageFieldValue $value, FieldValue $fieldValue)
53 {
54 // There is no contained data. All data is external. So we just do
55 // nothing here.
56 }
57
64 public function toStorageFieldDefinition(FieldDefinition $fieldDef, StorageFieldDefinition $storageDef)
65 {
66 // There is no contained data. All data is external. So we just do
67 // nothing here.
68 }
69
76 public function toFieldDefinition(StorageFieldDefinition $storageDef, FieldDefinition $fieldDef)
77 {
78 // There is no contained data. All data is external. So we just do
79 // nothing here.
80 }
81
91 public function getIndexColumn()
92 {
93 return false;
94 }
95 }
eZ\Publish\Core\Persistence\Legacy\Content\FieldValue\Converter\NullConverter
The Null converter does not perform any conversions at all.
Definition: NullConverter.php:19
eZ\Publish\Core\Persistence\Legacy\Content\FieldValue\Converter\NullConverter\toStorageValue
toStorageValue(FieldValue $value, StorageFieldValue $storageFieldValue)
Converts data from $value to $storageFieldValue.
Definition: NullConverter.php:40
eZ\Publish\Core\Persistence\Legacy\Content\FieldValue\Converter\NullConverter\create
static create()
Factory for current class.
Definition: NullConverter.php:29
eZ\Publish\Core\Persistence\Legacy\Content\FieldValue\Converter\NullConverter\toFieldDefinition
toFieldDefinition(StorageFieldDefinition $storageDef, FieldDefinition $fieldDef)
Converts field definition data in $storageDef into $fieldDef.
Definition: NullConverter.php:76
eZ\Publish\Core\Persistence\Legacy\Content\FieldValue\Converter\NullConverter\toFieldValue
toFieldValue(StorageFieldValue $value, FieldValue $fieldValue)
Converts data from $value to $fieldValue.
Definition: NullConverter.php:52
eZ\Publish\Core\Persistence\Legacy\Content\FieldValue\Converter\NullConverter\getIndexColumn
getIndexColumn()
Returns the name of the index column in the attribute table.
Definition: NullConverter.php:91
eZ\Publish\Core\Persistence\Legacy\Content\FieldValue\Converter\NullConverter\toStorageFieldDefinition
toStorageFieldDefinition(FieldDefinition $fieldDef, StorageFieldDefinition $storageDef)
Converts field definition data in $fieldDef into $storageFieldDef.
Definition: NullConverter.php:64
eZ\Publish\Core\Persistence\Legacy\Content\StorageFieldDefinition
Definition: StorageFieldDefinition.php:12
eZ\Publish\Core\Persistence\Legacy\Content\StorageFieldValue
Definition: StorageFieldValue.php:12
eZ\Publish\SPI\Persistence\Content\FieldValue
Definition: FieldValue.php:12
eZ\Publish\SPI\Persistence\Content\Type\FieldDefinition
Definition: SPI/Persistence/Content/Type/FieldDefinition.php:18
eZ\Publish\Core\Persistence\Legacy\Content\FieldValue\Converter
Converter for field values in legacy storage.
Definition: Persistence/Legacy/Content/FieldValue/Converter.php:18
eZ\Publish\Core\Persistence\Legacy\Content\FieldValue\Converter
Definition: AuthorConverter.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.